<script>
    export default {
        name: "MailInstance",
        props: {
            mail: {
                type: Object,
                required: true
            }
        },
        computed: {
            descriptions() {
                return this.mail.data
            }
        }
    }
</script>


<template>
    <div class="instance" id="mail_instance" v-bind:class="{opened: mail.opened}">

        <div class="subject">{{descriptions.subject}}</div>

        <hr>

        <div class="row metadata-wrapper null_padding null_margin">
            <div class="col-sm-6">
                <b>from:</b>
                <div class="email">{{descriptions.from}}</div>
            </div>
            <div class="col-sm-6">
                <b>to:</b>
                <div class="email">{{descriptions.to}}</div>
            </div>
        </div>

    </div>
</template>

<style lang="sass" scoped>
.subject
    color: #2a7fff
    font-family: "Comfortaa"
    font-size: 18px
    font-weight: bolder

.email
    font-size: 9px

.instance
    padding: 10px
    margin-bottom: 30px
    cursor: pointer
    width: 100%
    min-height: 120px
    border-radius: 9px 0px 0px 9px
    border-bottom: 1px solid #2a7fff
    border-left: 1px solid #2a7fff
    &.opened
        color: #8a8a8a
        border-left: 2px solid #ededed
        border-bottom: 2px solid #8ea8e6
        .subject
            color: #8ea8e6
            font-weight: normal
        &:hover
            .subject
                color: black
    &.active
        cursor: unset
        color: #8a8a8a
        background-color: white
        border-left: 2px solid white
        border-bottom: 2px solid white
        .subject
            color: black
            font-weight: normal
    &:hover
        border-left: 2px solid white
        border-bottom: 2px solid white
</style>